#
#   Flask server
#
from flask import Flask, request, render_template, jsonify
import csnd6 as csnd
app = Flask(__name__, static_url_path='')

import logging
#   this is to suppress informational messages
log = logging.getLogger('werkzeug')
log.setLevel(logging.ERROR)

cs = csnd.Csound()
# local on OS X
res = cs.Compile('/Users/richard/Desktop/MyPython/flasky/static/metro_adsr.csd')
# on the Pi
#res = cs.Compile('/home/pi/Desktop/python/flasky/static/metro_adsr.csd')
if res == 0:
	perf = csnd.CsoundPerformanceThread(cs)
	perf.Play()   # to play

@app.route('/', methods=['GET', 'POST'])
def template():
	if request.method == 'POST':
		#print params
		A1Val = request.form['A1Val']
		D1Val = request.form['D1Val']
		S1Val = request.form['S1Val']
		R1Val = request.form['R1Val']
		OnOff = request.form['OnOffVal']
		#print 'A1:%s, D1:%s, S1:%s, R1:%s, onoff:%s' % (A1Val, D1Val, S1Val, R1Val, OnOff)
		cs.SetChannel("a1", float(A1Val)/100.0 + .001)
		cs.SetChannel("d1", float(D1Val)/100.0)
		cs.SetChannel("s1", float(S1Val)/100.0)
		cs.SetChannel("r1", float(R1Val)/100.0)
		#
		cs.SetChannel("onoff", float(OnOff))
		# need to return something
		return "ok"
	else:   # in case of GET we are just rendering the page
		return render_template('adsr.html')

if __name__ == '__main__':
	print "starting Flask server"
	app.run(host='0.0.0.0', port=8080, debug=False)